{
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"requestId": "01BFJA617JMJXEW6G7TDDXNSHX",
"commit": "2af478ed",
"httpStatusCode": 501,
"issues": [
{
"issueLocation": "dateOfBirth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}
{
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"requestId": "01BFJA617JMJXEW6G7TDDXNSHX",
"commit": "2af478ed",
"httpStatusCode": 501,
"issues": [
{
"issueLocation": "dateOfBirth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}
{
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"requestId": "01BFJA617JMJXEW6G7TDDXNSHX",
"commit": "2af478ed",
"httpStatusCode": 501,
"issues": [
{
"issueLocation": "dateOfBirth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}
{
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"requestId": "01BFJA617JMJXEW6G7TDDXNSHX",
"commit": "2af478ed",
"httpStatusCode": 501,
"issues": [
{
"issueLocation": "dateOfBirth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}
{
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"requestId": "01BFJA617JMJXEW6G7TDDXNSHX",
"commit": "2af478ed",
"httpStatusCode": 501,
"issues": [
{
"issueLocation": "dateOfBirth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}
{
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"requestId": "01BFJA617JMJXEW6G7TDDXNSHX",
"commit": "2af478ed",
"httpStatusCode": 501,
"issues": [
{
"issueLocation": "dateOfBirth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}
{
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"requestId": "01BFJA617JMJXEW6G7TDDXNSHX",
"commit": "2af478ed",
"httpStatusCode": 501,
"issues": [
{
"issueLocation": "dateOfBirth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}
{
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"requestId": "01BFJA617JMJXEW6G7TDDXNSHX",
"commit": "2af478ed",
"httpStatusCode": 501,
"issues": [
{
"issueLocation": "dateOfBirth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}
{
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"requestId": "01BFJA617JMJXEW6G7TDDXNSHX",
"commit": "2af478ed",
"httpStatusCode": 501,
"issues": [
{
"issueLocation": "dateOfBirth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}
Entity
Update Entity and Initiate IDV Process
Update an entity object and if successful, start the process of downloading the captured data and processing the reports and results of the ID validation process.
At a minimum, the entity will need to have a name. For best results, you should gather the DoB, address, ID document details as well before calling this initProcess function, or supply the details as part of this update.
The IDV process may run various checks against the photos and videos supplied by the applicant.
These check types are configured on request and can include:
ID Validation (Document) - Looks at the picture(s) of the identity document, and does checks about image quality, as well as specific things about the id itself, such as whether it is expired or is for someone under 18. The image is also OCR’d and the OCR results are compared against the data entered for any KYC checks to make sure that it is the same document.
Facial Photo Comparison - Compares the portrait picture of the identity document, to the “selfie” taken as part of the idv process. The selfie can be either a still photo or a live video (preferred). This checks both that the selfie taken is valid and not manipulated, and that it is a reasonable match to the picture on the identity document. The exact algorithm to determine matches and quality is dependant on the provider chosen.
Facial Duplicate - Compares the selfie provided with previous selfies for other applicants. This check type is trying to identify based on the selfie whether this applicant has already registered under a different name and potentially with faked identification. If there is a potential match then the applicant is flagged for review.
If, as a Frankie Customer, you are acting on behalf of your own customers, then you can populate this field with a Frankie-assigned ID.
Note: If using a CustomerChildID, you will also need a separate api_key for each child.
Any documents, checks, entities that are created when this field has been populated will now be tied to this CustomerID + CustomerChildID combination. Just as Customers cannot see data created by other Customers, so too a Customer's Children will not be able to see each other's data.
A Customer can see the documents/entities and checks of all their Children.
Open string that can be used to define the "channel" the request comes in from.
It can potentially be used in routing and risk calculations upon request.
Default values that can be used are:
api
portal
smartui
Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
If this header parameter is supplied and set to 1, then the request will not wait for the process to finish, and will return a 202 if there are no obvious errors in the input. The request will then run in the background and send a notification back to the customer. See out callback API for details on this.
Contains any/all details we want to pass on to the device checking service as part of an activity / transaction. A transaction isn't just a payment, but can represent a number of different interaction types. See below for more.
NOTE: If you're sending this data, then your recipe or requested checkTypes MUST include a "device" checkType. Otherwise this data will be ignored and dropped.
Show child attributes
Response
The request was valid and able to be processed in some fashion. Results may or may not be successful, but it was completed as far as practical with no actual errors. Returns the entity object as it stands now. No docScan file data from any attached ID documents will be returned unless the /full variant is requested.
Also returned is the applicantId and token to be in the IDV process.
Contains the results of a given document entity create/update and IDV token details.
The applicantId is either the same one that was supplied in the request for a fresh token, or a new one.
This ID must be supplied along with the token to your SDK so that it knows who any uploaded documents are for.
The latest applicant will also be written to the extraData of the entity as well for safe keeping. Older applicantIds will be overwritten.
If the requesting customer can support requesting 2 documents.
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://www.mintlify.com/docs.json","name":"frankieone","colors":{"primary":"#1A6CFF","light":"#1A6CFF","dark":"#1A6CFF"},"logo":{"light":"https://mintcdn.com/frankieone-f5583b1b/xa9j0sUrNjbbzTyf/logo/light.svg?fit=max\u0026auto=format\u0026n=xa9j0sUrNjbbzTyf\u0026q=85\u0026s=21923909c20fa1b38b317371ccac6e33","dark":"https://mintcdn.com/frankieone-f5583b1b/xa9j0sUrNjbbzTyf/logo/dark.svg?fit=max\u0026auto=format\u0026n=xa9j0sUrNjbbzTyf\u0026q=85\u0026s=196c598869b49c924efc8e44399fda09","href":"https://docs.frankieone.com"},"favicon":"https://mintcdn.com/frankieone-f5583b1b/cNmgsKD2V0ccWp6T/favicon.png?fit=max\u0026auto=format\u0026n=cNmgsKD2V0ccWp6T\u0026q=85\u0026s=82de5d057bc772d870f18df413b453f9","appearance":{"default":"system","strict":true},"background":{"color":{"light":"#f4f5fc","dark":"#10152e"}},"navbar":{"links":[{"href":"https://status.frankieone.com/","label":"Support"}],"primary":{"type":"button","label":"Book a Demo","href":"https://frankieone.com/book-a-demo"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/frankieone"}},"seo":{"metatags":{"canonical":"https://docs.frankieone.com","og:url":"https://docs.frankieone.com"}},"fonts":{"heading":{"family":"DM Sans","weight":800,"source":"https://fonts.gstatic.com/s/dmsans/v17/rP2Hp2ywxg089UriCZOIHQ.woff2","format":"woff2"},"body":{"family":"DM Sans","source":"https://fonts.gstatic.com/s/dmsans/v17/rP2Hp2ywxg089UriCZOIHQ.woff2","format":"woff2"}},"integrations":{"ga4":{"measurementId":"G-TQB66YCL53"}},"errors":{"404":{"redirect":true,"title":"Sorry, we couldn't find the page you're looking for.","description":"Please try searching for a different term, use the navigation bar, or return to the homepage."}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"Service Status","icon":"signal","href":"https://status.frankieone.com"},{"anchor":"Blog","icon":"newspaper","href":"https://frankieone.com/frankieone-blog"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"frankieone-f5583b1b","hasAudioNarration":false,"actualSubdomain":"frankieone-f5583b1b","customDomains":["docs.frankieone.com"],"gitSource":{"type":"github","owner":"frankieone","repo":"config-api-documentation-mintlify","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae14a8e30e15bc50808db7b","collectionId":"0897024a-8f9e-44d9-9ec4-b6531319ac14","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae14a8e30e15bc50808db7b"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae14a8e30e15bc50808db7b","clientVersion":"0.0.4005","searchFilterCounts":[{"language":"default","tag":"API","count":236},{"language":"default","tag":"Portal","count":188},{"language":"default","tag":"OneSDK","count":137},{"language":"default","tag":"KYC","count":131},{"language":"default","tag":"KYB","count":68},{"language":"default","tag":"KYC API Endpoints","count":50},{"language":"default","tag":"KYC V2 API","count":45},{"language":"default","tag":"About OneSDK","count":40},{"language":"default","tag":"Guide to the API","count":38},{"language":"default","tag":"Introduction","count":35}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"email":"help@frankieone.com","showHelpButton":true}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"global.css","content":":root{color-scheme:light dark}[data-theme=dark]{color-scheme:dark}[data-theme=light]{color-scheme:light}span[data-as=p]:not(:where([data-page=\"/\"])){color:light-dark(#000,#fff)!important}p,tr,ul{color:light-dark(#000,#fff)!important}code{color:#1a6cff!important}"}],"page":{"pagePath":"docs/v1/api/kyc-api-endpoints/reference/entity/update-entity-init-idv-process","slug":"/docs/v1/api/kyc-api-endpoints/reference/entity/update-entity-init-idv-process","pageMetadata":{"title":"Update Entity and Initiate IDV Process","openapi":"POST /entity/{entityId}/idvalidate/initProcess","description":"Update an entity object and if successful, start the process of downloading the captured data and processing the reports and results of the ID validation process. \n\nAt a minimum, the entity will need to have a name. For best results, you should gather the DoB, address, ID document details as well before calling this initProcess function, or supply the details as part of this update.\n\nThe IDV process may run various checks against the photos and videos supplied by the applicant.\n\nThese check types are configured on request and can include:\n\n>- ID Validation (Document) - Looks at the picture(s) of the identity document, and does checks about image quality, as well as specific things about the id itself, such as whether it is expired or is for someone under 18. The image is also OCR'd and the OCR results are compared against the data entered for any KYC checks to make sure that it is the same document.\n\n>- Facial Photo Comparison - Compares the portrait picture of the identity document, to the “selfie” taken as part of the idv process. The selfie can be either a still photo or a live video (preferred). This checks both that the selfie taken is valid and not manipulated, and that it is a reasonable match to the picture on the identity document. The exact algorithm to determine matches and quality is dependant on the provider chosen.\n\n>- Facial Duplicate - Compares the selfie provided with previous selfies for other applicants. This check type is trying to identify based on the selfie whether this applicant has already registered under a different name and potentially with faked identification. If there is a potential match then the applicant is flagged for review.\n","href":"/docs/v1/api/kyc-api-endpoints/reference/entity/update-entity-init-idv-process"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n blockquote: \"blockquote\",\n li: \"li\",\n p: \"p\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Update an entity object and if successful, start the process of downloading the captured data and processing the reports and results of the ID validation process.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"At a minimum, the entity will need to have a name. For best results, you should gather the DoB, address, ID document details as well before calling this initProcess function, or supply the details as part of this update.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"The IDV process may run various checks against the photos and videos supplied by the applicant.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"These check types are configured on request and can include:\"\n }), \"\\n\", _jsxs(_components.blockquote, {\n children: [\"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsx(_components.li, {\n children: \"ID Validation (Document) - Looks at the picture(s) of the identity document, and does checks about image quality, as well as specific things about the id itself, such as whether it is expired or is for someone under 18. The image is also OCR’d and the OCR results are compared against the data entered for any KYC checks to make sure that it is the same document.\"\n }), \"\\n\"]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.blockquote, {\n children: [\"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsx(_components.li, {\n children: \"Facial Photo Comparison - Compares the portrait picture of the identity document, to the “selfie” taken as part of the idv process. The selfie can be either a still photo or a live video (preferred). This checks both that the selfie taken is valid and not manipulated, and that it is a reasonable match to the picture on the identity document. The exact algorithm to determine matches and quality is dependant on the provider chosen.\"\n }), \"\\n\"]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.blockquote, {\n children: [\"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsx(_components.li, {\n children: \"Facial Duplicate - Compares the selfie provided with previous selfies for other applicants. This check type is trying to identify based on the selfie whether this applicant has already registered under a different name and potentially with faked identification. If there is a potential match then the applicant is flagged for review.\"\n }), \"\\n\"]\n }), \"\\n\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Update Entity and Initiate IDV Process","openapi":"POST /entity/{entityId}/idvalidate/initProcess","description":"Update an entity object and if successful, start the process of downloading the captured data and processing the reports and results of the ID validation process. \n\nAt a minimum, the entity will need to have a name. For best results, you should gather the DoB, address, ID document details as well before calling this initProcess function, or supply the details as part of this update.\n\nThe IDV process may run various checks against the photos and videos supplied by the applicant.\n\nThese check types are configured on request and can include:\n\n>- ID Validation (Document) - Looks at the picture(s) of the identity document, and does checks about image quality, as well as specific things about the id itself, such as whether it is expired or is for someone under 18. The image is also OCR'd and the OCR results are compared against the data entered for any KYC checks to make sure that it is the same document.\n\n>- Facial Photo Comparison - Compares the portrait picture of the identity document, to the “selfie” taken as part of the idv process. The selfie can be either a still photo or a live video (preferred). This checks both that the selfie taken is valid and not manipulated, and that it is a reasonable match to the picture on the identity document. The exact algorithm to determine matches and quality is dependant on the provider chosen.\n\n>- Facial Duplicate - Compares the selfie provided with previous selfies for other applicants. This check type is trying to identify based on the selfie whether this applicant has already registered under a different name and potentially with faked identification. If there is a potential match then the applicant is flagged for review.\n","href":"/docs/v1/api/kyc-api-endpoints/reference/entity/update-entity-init-idv-process"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Update an entity object and if successful, start the process of downloading the captured data and processing the reports and results of the ID validation process. \n\nAt a minimum, the entity will need to have a name. For best results, you should gather the DoB, address, ID document details as well before calling this initProcess function, or supply the details as part of this update.\n\nThe IDV process may run various checks against the photos and videos supplied by the applicant.\n\nThese check types are configured on request and can include:\n\n>- ID Validation (Document) - Looks at the picture(s) of the identity document, and does checks about image quality, as well as specific things about the id itself, such as whether it is expired or is for someone under 18. The image is also OCR'd and the OCR results are compared against the data entered for any KYC checks to make sure that it is the same document.\n\n>- Facial Photo Comparison - Compares the portrait picture of the identity document, to the “selfie” taken as part of the idv process. The selfie can be either a still photo or a live video (preferred). This checks both that the selfie taken is valid and not manipulated, and that it is a reasonable match to the picture on the identity document. The exact algorithm to determine matches and quality is dependant on the provider chosen.\n\n>- Facial Duplicate - Compares the selfie provided with previous selfies for other applicants. This check type is trying to identify based on the selfie whether this applicant has already registered under a different name and potentially with faked identification. If there is a potential match then the applicant is flagged for review.\n","tags":["Entity"],"summary":"Update Entity and Initiate IDV Process","operationId":"UpdateEntityInitIDVProcess","parameters":["5e5821a6-38ef-48c5-8ad3-256e17f9eb7e","f4d409c7-188c-4e86-b312-6319d333675a","af47e1a0-7ce5-417a-b75c-46b2284eb8ea","b13fad40-beee-401a-9be9-a502620d399b","9ec8d106-b2d4-435e-a965-f793aaa0e6fb"],"requestBody":"1c63e72c-902f-48f1-bf39-f93de943a46e","responses":{"200":"cb37322a-5a3d-4ade-b33f-41a0e7870527","202":"53db88af-d2e2-4e03-83ae-6cb756145686","400":"4f649913-b01b-4c71-a12d-ac2e6b6d264d","401":"2db6094e-bd19-472d-a65e-5c91f8565ee5","404":"97175e2c-716e-4a04-888c-322991a8bb8e","405":"24e1cfa3-8580-4f1b-99e9-c64546ecb016","415":"93ad6018-03f1-4f9c-bac1-236e47ffe3fd","422":"9a93113c-a926-4ee6-985d-9919791c0fbe","429":"54372e75-1a85-4918-b198-47d9f0e01cfc","500":"42016833-b6cd-4031-9655-e3ca2798f25d","503":"e3aa25e1-e471-4006-8445-223198486577"},"method":"post","type":"path","servers":["f99f7d52-aee6-4307-b2ff-d95bafe383b8"],"security":["ab662a77-eed9-4cc3-809e-fc809d0f7a47"],"path":"/entity/{entityId}/idvalidate/initProcess","baseUrlOptions":["https://api.uat.frankie.one/compliance/v1.2"],"title":"Update Entity and Initiate IDV Process","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"5e5821a6-38ef-48c5-8ad3-256e17f9eb7e":{"description":"Customer ID issued by Frankie Financial. This will never change. Your API key, which is mapped to this identity, will change over time.\n","name":"X-Frankie-CustomerID","in":"header","required":true,"schema":{"type":"string","format":"uuid","isRequired":true,"description":"Customer ID issued by Frankie Financial. This will never change. Your API key, which is mapped to this identity, will change over time.\n","uniqueKey":"","typeLabel":"string\u003cuuid>"}},"f4d409c7-188c-4e86-b312-6319d333675a":{"description":"If, as a Frankie Customer, you are acting on behalf of your own customers, then you can populate this field with a Frankie-assigned ID.\n\nNote: If using a CustomerChildID, you will also need a separate api_key for each child.\n\nAny documents, checks, entities that are created when this field has been populated will now be tied to this CustomerID + CustomerChildID combination. Just as Customers cannot see data created by other Customers, so too a Customer's Children will not be able to see each other's data.\n\nA Customer can see the documents/entities and checks of all their Children.\n","name":"X-Frankie-CustomerChildID","in":"header","schema":{"type":"string","format":"uuid","description":"If, as a Frankie Customer, you are acting on behalf of your own customers, then you can populate this field with a Frankie-assigned ID.\n\nNote: If using a CustomerChildID, you will also need a separate api_key for each child.\n\nAny documents, checks, entities that are created when this field has been populated will now be tied to this CustomerID + CustomerChildID combination. Just as Customers cannot see data created by other Customers, so too a Customer's Children will not be able to see each other's data.\n\nA Customer can see the documents/entities and checks of all their Children.\n","uniqueKey":"","typeLabel":"string\u003cuuid>"}},"af47e1a0-7ce5-417a-b75c-46b2284eb8ea":{"description":"Open string that can be used to define the \"channel\" the request comes in from.\nIt can potentially be used in routing and risk calculations upon request.\nDefault values that can be used are:\n - api\n - portal\n - smartui\n\nAny alphanumeric string is supported though. Anything over 64 characters will be truncated.\n","name":"X-Frankie-Channel","in":"header","schema":{"type":"string","description":"Open string that can be used to define the \"channel\" the request comes in from.\nIt can potentially be used in routing and risk calculations upon request.\nDefault values that can be used are:\n - api\n - portal\n - smartui\n\nAny alphanumeric string is supported though. Anything over 64 characters will be truncated.\n","uniqueKey":"","typeLabel":"string"}},"b13fad40-beee-401a-9be9-a502620d399b":{"description":"If this header parameter is supplied and set to 1, then the request will not wait for the process to finish, and will return a 202 if there are no obvious errors in the input. The request will then run in the background and send a notification back to the customer. See out callback API for details on this.\n\nSee more details here:\n https://docs.frankieone.com/docs/asynchronous-calls-backgrounding-processes\n","name":"X-Frankie-Background","in":"header","schema":{"type":"integer","minimum":0,"maximum":1,"description":"If this header parameter is supplied and set to 1, then the request will not wait for the process to finish, and will return a 202 if there are no obvious errors in the input. The request will then run in the background and send a notification back to the customer. See out callback API for details on this.\n\nSee more details here:\n https://docs.frankieone.com/docs/asynchronous-calls-backgrounding-processes\n","uniqueKey":"","typeLabel":"integer"}},"9ec8d106-b2d4-435e-a965-f793aaa0e6fb":{"description":"The entityId returned previously from an earlier call to /check or /entity","name":"entityId","in":"path","required":true,"schema":{"type":"string","format":"uuid","isRequired":true,"description":"The entityId returned previously from an earlier call to /check or /entity","uniqueKey":"","typeLabel":"string\u003cuuid>"}}},"requestBody":{"content":{"application/json":{"schema":{"description":"Contains all the details we'll check regarding an Entity. It is assumed that this will grow over time.\n\nCurrent supported check parameters:\n\n - entity: The Entity we're checking. This must be supplied.\n","type":"object","required":["entity"],"properties":{"entity":{"description":"Describes all of the data being used to verify an entity.\n","type":"object","properties":{"addresses":{"description":"Collection of address objects.","type":"array","items":{"type":"object","required":["country"],"properties":{"country":{"description":"The ISO-3166-1 country. You must use the alpha3 country code (e.g. AUS, USA, IDR, KOR, etc) We'll convert as needed. \n\nSee: https://en.wikipedia.org/wiki/ISO_3166-1\n","type":"string","example":"AUS","isRequired":true,"uniqueKey":"entity.addresses.items.[INDEX].country","typeLabel":"string"},"addressId":{"description":"As addresses are added to an entity, they're assigned an id to assist with tracking. \n\nIf you're adjusting an address, you will need to include the addressId so as to be able to reference it correctly in the list.\n","type":"string","format":"uuid","example":"86932629-bdb4-158f-e670-741e89ff78ba","uniqueKey":"entity.addresses.items.[INDEX].addressId","typeLabel":"string\u003cuuid>"},"addressType":{"description":"Used to indicate what sort address this is, such as residential, business, postal, etc.\n\nRESIDENTIAL1-4 can be used to indicate the reverse chronological order of addresses. \nRESIDENTIAL or RESIDENTIAL1 is the current address\nRESIDENTIAL2 is the previous address, and so on.\n\nFor Individual postal/mailing addresses, use POSTAL.\nFor Businesses, use OFFICIAL_CORRESPONDANCE\n","type":"string","enum":["OTHER","RESIDENTIAL","RESIDENTIAL1","RESIDENTIAL2","RESIDENTIAL3","RESIDENTIAL4","BUSINESS","POSTAL","REGISTERED_OFFICE","PLACE_OF_BUSINESS","OFFICIAL_CORRESPONDANCE","PLACE_OF_BIRTH"],"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"EnumAddressType"},"example":"REGISTERED_OFFICE","uniqueKey":"entity.addresses.items.[INDEX].addressType","typeLabel":"enum\u003cstring>"},"buildingName":{"description":"The name of the building, apartment block, condo, etc","type":"string","example":"Highland Tower","uniqueKey":"entity.addresses.items.[INDEX].buildingName","typeLabel":"string"},"careOf":{"description":"Individual or business name at this address if not the same as the name of the entity to which this address belongs.\n","type":"string","uniqueKey":"entity.addresses.items.[INDEX].careOf","typeLabel":"string"},"endDate":{"description":"The date this address was no longer used (if available). Used mostly with business addresses.\n","type":"string","format":"date","example":"0001-01-01","uniqueKey":"entity.addresses.items.[INDEX].endDate","typeLabel":"string\u003cdate>"},"extraData":{"description":"Set of key-value pairs that provide arbitrary additional type-specific data. This data will typically not be visible in the Frankie Portal.\nIf updating an existing address, then existing values with the same name will be overwritten. New values will be added.\n\nSee here for more information about possible values you can use:\n https://docs.frankieone.com/docs/key-value-pairs\n","type":"array","items":{"description":"Individual key-value pair","type":"object","properties":{"kvpKey":{"description":"Name of the data","type":"string","example":"ACN","uniqueKey":"entity.addresses.items.[INDEX].extraData.items.[INDEX].kvpKey","typeLabel":"string"},"kvpType":{"description":"Used to describe the contents of the KVP data. \n\nThe general.* and raw.* types are pretty much what they say on the tin. \n\nAll raw.* fields will be base64 encoded so as to not interfere with JSON structuring. These are useful for returning/storing large quantities of data that doesn't necessarily require processing now, or may be useful to a calling client.\n\nThe id.* and pii.* are used to indicate that this is data that can be used to create new document objects, or entities. They should also be treated with the utmost care and attention when it comes to securing them too.\n\nid.external can be used to capture an object's ID on an external service, and can potentially be searchable in the index \nNote - This is different from a result.id.\n\ndefunct is used to mark an existing KVP deleted when the value must be retained, for example for audit purposes.\n\nresult.* are used to capture response codes and transaction IDs from external services\n\nerror.* types can be used when processing a document that returns an error, but doesn't necessarily require a full blown error response.\n","type":"string","enum":["defunct","general.string","general.integer","general.float","general.bool","general.date","general.datetime","raw.json.base64","raw.xml.base64","raw.base64","error.code","error.message","result.code","result.id","id.external","id.number.primary","id.number.additional","id.msisdn","id.email","id.device","pii.name.full","pii.name.familyname","pii.name.givenname","pii.name.middlename","pii.gender","pii.address.longform","pii.address.shortform","pii.address.street1","pii.address.street2","pii.address.postalcode","pii.address.town","pii.address.suburb","pii.address.region","pii.address.state","pii.address.country","pii.dob","transient.string"],"example":"id.external","x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"EnumKVPType"},"uniqueKey":"entity.addresses.items.[INDEX].extraData.items.[INDEX].kvpType","typeLabel":"enum\u003cstring>"},"kvpValue":{"description":"Value of the data","type":"string","example":"406655338","uniqueKey":"entity.addresses.items.[INDEX].extraData.items.[INDEX].kvpValue","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"KeyValuePairObject"},"uniqueKey":"entity.addresses.items.[INDEX].extraData.items.[INDEX]","typeLabel":"object"},"x-omitempty":true,"uniqueKey":"entity.addresses.items.[INDEX].extraData","typeLabel":"object[]"},"longForm":{"description":"In some cases, the address will need to be supplied in \"long form\", such as when it is determined from a document scan, or is un-parsable in some way.\nThe service will attempt to convert it to it's constituent parts where possible.\n\nWARNING: Use of longForm is not guaranteed to produce perfect results, due to the variety of potential formats. You've been warned. \nFailure to break down or disambiguate the address will result in an error.\n","type":"string","example":"42a Test Eagle Road, Testville, TST 123-TST, Testalia","uniqueKey":"entity.addresses.items.[INDEX].longForm","typeLabel":"string"},"postalCode":{"description":"The post code of the address.","type":"string","example":"3000","uniqueKey":"entity.addresses.items.[INDEX].postalCode","typeLabel":"string"},"region":{"description":"The county, province, cantonment","type":"string","example":"MELBOURNE","uniqueKey":"entity.addresses.items.[INDEX].region","typeLabel":"string"},"startDate":{"description":"The date this address first because active. Used mostly with business addresses.\n","type":"string","format":"date","example":"2023-03-10","uniqueKey":"entity.addresses.items.[INDEX].startDate","typeLabel":"string\u003cdate>"},"state":{"description":"The state. Use local abbreviations, such as VIC(toria) or TX (Texas)","type":"string","example":"VIC","uniqueKey":"entity.addresses.items.[INDEX].state","typeLabel":"string"},"streetName":{"description":"The name of the street\n\nThis field can in fact be a bit flexible, potentially containing the streetNumber and streetType as well. Most services in use can work it out.\n\nIf this field has been auto-populated by Google (see writeup here:\n\nhttps://docs.frankieone.com/docs/working-with-addresses\nthen the bulk of the address will be in this field.\n\nIf you can avoid it though, please try and keep things separate.\n","type":"string","example":"9 ROYCE AVENUE","uniqueKey":"entity.addresses.items.[INDEX].streetName","typeLabel":"string"},"streetNumber":{"description":"The number on the street. Generally a number, but can also be alphanumeric (e.g. 3A)\n","type":"string","example":"FLAT 27","uniqueKey":"entity.addresses.items.[INDEX].streetNumber","typeLabel":"string"},"streetType":{"description":"The street \"type\" - e.g. Road, St, Ave, Circuit, etc","type":"string","example":"Road","uniqueKey":"entity.addresses.items.[INDEX].streetType","typeLabel":"string"},"suburb":{"description":"The suburb in the town/city. Only use this if you require a suburb AND a town/city, otherwise, just use the \"town\" parameter.","type":"string","example":"Testburb","uniqueKey":"entity.addresses.items.[INDEX].suburb","typeLabel":"string"},"town":{"description":"The town/village/suburb/city","type":"string","example":"MELBOURNE","uniqueKey":"entity.addresses.items.[INDEX].town","typeLabel":"string"},"unitNumber":{"description":"Unit/Apartment/Flat/Suite/etc number","type":"string","example":"FLAT 27","uniqueKey":"entity.addresses.items.[INDEX].unitNumber","typeLabel":"string"},"unstructuredLongForm":{"type":"string","uniqueKey":"entity.addresses.items.[INDEX].unstructuredLongForm","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"AddressObject"},"uniqueKey":"entity.addresses.items.[INDEX]","typeLabel":"object"},"x-omitempty":true,"uniqueKey":"entity.addresses","typeLabel":"object[]"},"dateOfBirth":{"type":"object","properties":{"country":{"description":"ISO-3166-1 code for the country of birth. You must use the alpha3 country code (e.g. AUS, USA, IDR, KOR, etc) We'll convert as needed.\n\nSee https://en.wikipedia.org/wiki/ISO_3166-1\n","type":"string","example":"AUS","uniqueKey":"entity.dateOfBirth.country","typeLabel":"string"},"dateOfBirth":{"description":"Date of Birth in YYYY-MM-DD format","type":"string","format":"date","example":"1978-11-12","uniqueKey":"entity.dateOfBirth.dateOfBirth","typeLabel":"string\u003cdate>"},"locality":{"description":"Place of birth other than country If locality is given, then country must also be provided.\n","type":"string","example":"Brisbane","uniqueKey":"entity.dateOfBirth.locality","typeLabel":"string"},"unstructuredDateOfBirth":{"type":"string","uniqueKey":"entity.dateOfBirth.unstructuredDateOfBirth","typeLabel":"string"},"yearOfBirth":{"description":"Year of birth or \"unknown\". This will be autoextracted if dateOfBirth is supplied.","type":"string","example":"1978","uniqueKey":"entity.dateOfBirth.yearOfBirth","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"DOBObject"},"uniqueKey":"entity.dateOfBirth","typeLabel":"object"},"entityId":{"description":"When an entity is first created, it is assigned an ID. When updating an entity, make sure you set the entityId\nOne exception to this is when an entity is created from a document object. It is expected that this object would be passed into a /check or /entity call to set it.\n","type":"string","format":"uuid","example":"84a9a860-68ae-4d7d-9a53-54a1116d5051","uniqueKey":"entity.entityId","typeLabel":"string\u003cuuid>"},"entityProfile":{"description":"If the entity is using the new profiles feature, then their profile name will be found here.\n\nNote: If setting a profile, you must ensure that the profile matches a known configuration.\n\nSee here for valid values:\n https://docs.frankieone.com/docs/test-entity-verification\n","type":"string","x-omitempty":true,"uniqueKey":"entity.entityProfile","typeLabel":"string"},"entityType":{"description":"Indicates the type of an entity.\n- \"INDIVIDUAL\": An individual.\n- \"TRUST\": A trust.\n- \"ORGANISATION\": An organisation.\n","type":"string","enum":["INDIVIDUAL","TRUST","ORGANISATION"],"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"EnumEntityType"},"example":"ORGANISATION","uniqueKey":"entity.entityType","typeLabel":"enum\u003cstring>"},"extraData":{"description":"Set of key-value pairs that provide arbitrary additional type-specific data. You can use these fields to store external IDs, or other non-identity related items if you need to.\nIf updating an existing entity, then existing values with the same name will be overwritten. New values will be added.\n\nSee here for more information about possible values you can use:\n https://docs.frankieone.com/docs/key-value-pairs\n","type":"array","items":{"description":"Individual key-value pair","type":"object","properties":{"kvpKey":{"description":"Name of the data","type":"string","example":"ACN","uniqueKey":"entity.extraData.items.[INDEX].kvpKey","typeLabel":"string"},"kvpType":{"description":"Used to describe the contents of the KVP data. \n\nThe general.* and raw.* types are pretty much what they say on the tin. \n\nAll raw.* fields will be base64 encoded so as to not interfere with JSON structuring. These are useful for returning/storing large quantities of data that doesn't necessarily require processing now, or may be useful to a calling client.\n\nThe id.* and pii.* are used to indicate that this is data that can be used to create new document objects, or entities. They should also be treated with the utmost care and attention when it comes to securing them too.\n\nid.external can be used to capture an object's ID on an external service, and can potentially be searchable in the index \nNote - This is different from a result.id.\n\ndefunct is used to mark an existing KVP deleted when the value must be retained, for example for audit purposes.\n\nresult.* are used to capture response codes and transaction IDs from external services\n\nerror.* types can be used when processing a document that returns an error, but doesn't necessarily require a full blown error response.\n","type":"string","enum":["defunct","general.string","general.integer","general.float","general.bool","general.date","general.datetime","raw.json.base64","raw.xml.base64","raw.base64","error.code","error.message","result.code","result.id","id.external","id.number.primary","id.number.additional","id.msisdn","id.email","id.device","pii.name.full","pii.name.familyname","pii.name.givenname","pii.name.middlename","pii.gender","pii.address.longform","pii.address.shortform","pii.address.street1","pii.address.street2","pii.address.postalcode","pii.address.town","pii.address.suburb","pii.address.region","pii.address.state","pii.address.country","pii.dob","transient.string"],"example":"id.external","x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"EnumKVPType"},"uniqueKey":"entity.extraData.items.[INDEX].kvpType","typeLabel":"enum\u003cstring>"},"kvpValue":{"description":"Value of the data","type":"string","example":"406655338","uniqueKey":"entity.extraData.items.[INDEX].kvpValue","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"KeyValuePairObject"},"uniqueKey":"entity.extraData.items.[INDEX]","typeLabel":"object"},"x-omitempty":true,"uniqueKey":"entity.extraData","typeLabel":"object[]"},"flags":{"description":"Used to set additional information flags with regards to this entity and for ongoing processing.\n\nFlags might include having the entity (not) participate in regular pep/sanctions screening\nOthers will follow over time.\n","type":"array","items":{"description":"Similar to a KVP, the flag has a key (the flag you're indicating) and an integer value.\n\nValues are tied to the specific flag (see table below). Generally they're true (1)/false(0) indicators.\n\n | flag | values | Description |\n | ------- | -------- | -------- |\n | ongoing_pep | 0, 1, 2 | 0 = no, 1 = pep/sanctions, 2 = 1+media |\n | | | |\n","type":"object","properties":{"flag":{"description":"Name of the flag","type":"string","uniqueKey":"entity.flags.items.[INDEX].flag","typeLabel":"string"},"value":{"description":"flag value.","type":"integer","x-omitempty":false,"uniqueKey":"entity.flags.items.[INDEX].value","typeLabel":"integer"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"EntityFlagObject"},"uniqueKey":"entity.flags.items.[INDEX]","typeLabel":"object"},"x-omitempty":true,"uniqueKey":"entity.flags","typeLabel":"object[]"},"gender":{"description":"Used to indicate of the entity in question is:\n- \"M\"ale \n- \"F\"emale\n- \"U\"nspecified\n- \"O\"ther (for want of a better option)\n","type":"string","enum":["U","F","M","O"],"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"EnumGender"},"example":"F","uniqueKey":"entity.gender","typeLabel":"enum\u003cstring>"},"identityDocs":{"description":"Collection of identity documents (photos, scans, selfies, etc)","type":"array","items":{"type":"object","required":["idType","country"],"properties":{"country":{"description":"The ISO-3166-alpha3 country code of the issuing national. Once set, this cannot be changed.\n\nSee https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes for more\n","type":"string","example":"AUS","isRequired":true,"uniqueKey":"entity.identityDocs.items.[INDEX].country","typeLabel":"string"},"idType":{"description":"Valid ID types\n - \"OTHER\": Generic document type. Unspecified.\n - \"DRIVERS_LICENCE\": Driver's licence.\n - \"PASSPORT\": Passport\n - \"VISA\": Visa document (not Visa payment card)\n - \"IMMIGRATION\": Immigration card\n - \"NATIONAL_ID\": Any national ID card\n - \"TAX_ID\": Any national tax identifier\n - \"NATIONAL_HEALTH_ID\": Any national health program ID card (e.g. Medicare, NHS)\n - \"CONCESSION\": State issued concession card\n - \"HEALTH_CONCESSION\": State issued health specific concession card\n - \"SENIORS_HEALTH_CONCESSION\": State issued health specific concession card for seniors\n - \"PENSION\": State issued pension ID\n - \"MILITARY_ID\": Military ID\n - \"BIRTH_CERT\": Birth certificate\n - \"CITIZENSHIP\": Citizenship certificate\n - \"MARRIAGE_CERT\": Marriage certificate\n - \"DEATH_CERT\": Death certificate\n - \"NAME_CHANGE\": Name chage confirmation\n - \"UTILITY_BILL\": Regulated utility bill, such as electricity, gas, etc\n - \"BANK_STATEMENT\": Bank/card statement\n - \"BANK_ACCOUNT\": Bank account\n - \"INTENT_PROOF\": A proof of intent. Generally a photo/video, or a scanned letter\n - \"ATTESTATION\": A document of attestation (e.g. Statutory Declaration). NOTE: these cannot be used as a supporting document\n - \"SELF_IMAGE\": A \"selfie\" used for comparisions\n - \"EMAIL_ADDRESS\": An email address\n - \"MSISDN\": A mobile phone number\n - \"DEVICE\": A device ID\n - \"VEHICLE_REGISTRATION\": Vehicle registration number\n - \"PROOF_OF_ADDRESS\": Can be any type of document that provides a proof of address\n - \"HOUSE_REGISTRATION\": House registration document\n - \"YELLOW_HOUSE_REGISTRATION\": Yellow House Registration Thor Ror 13\n - \"WORK_PERMIT\": Work permit\n - \"EMPLOYMENT_CERTIFICATE\": Certificate of employment\n - \"NOTARY_PUBLIC_ID\": Notary Public Identification\n - \"AVIATION_SECURITY_ID\": Aviation Security Identification\n - \"MARITIME_SECURITY_ID\": Maritime Security Identification\nBusiness related documentation\n - \"EXTERNAL_ADMIN\": Details of appointed administrator.\n - \"CHARGES\": Details of any charges that have been laid against a company or director\n - \"PRE_ASIC\": Any documents that are Pre-ASIC\n - \"ANNUAL_RETURN\": Details of a company's annual return\n - \"REPORT\": Frankie generated report.\n - \"TRUST_DEED\": Corporate trust deed\n - \"PARTNERSHIP_AGREEMENT\": Partnership agreement documents\n - \"ADMIN_CHANGE\": Change of Administrator\n - \"COMPANY_REPORT\": ASIC filed company reports\nSpecial document types\n - \"CHECK_RESULTS\": A special document type for specifying results of checks completed other than through Frankie.\n","type":"string","enum":["OTHER","DRIVERS_LICENCE","PASSPORT","VISA","IMMIGRATION","NATIONAL_ID","TAX_ID","NATIONAL_HEALTH_ID","CONCESSION","HEALTH_CONCESSION","SENIORS_HEALTH_CONCESSION","PENSION","MILITARY_ID","BIRTH_CERT","CITIZENSHIP","MARRIAGE_CERT","DEATH_CERT","NAME_CHANGE","MOBILE_PHONE","UTILITY_BILL","BANK_STATEMENT","BANK_ACCOUNT","INTENT_PROOF","ATTESTATION","SELF_IMAGE","EMAIL_ADDRESS","MSISDN","DEVICE","VEHICLE_REGISTRATION","PROOF_OF_ADDRESS","HOUSE_REGISTRATION","YELLOW_HOUSE_REGISTRATION","WORK_PERMIT","EMPLOYMENT_CERTIFICATE","NOTARY_PUBLIC_ID","AVIATION_SECURITY_ID","MARITIME_SECURITY_ID","EXTERNAL_ADMIN","CHARGES","PRE_ASIC","ANNUAL_RETURN","REPORT","TRUST_DEED","PARTNERSHIP_AGREEMENT","ADMIN_CHANGE","COMPANY_REPORT","CHECK_RESULTS"],"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"EnumIdType"},"example":"DRIVERS_LICENCE","isRequired":true,"uniqueKey":"entity.identityDocs.items.[INDEX].idType","typeLabel":"enum\u003cstring>"},"docScan":{"description":"Collection of one or more objects that describe scan(s) that need to be put through OCR or facial recognition. These should all be from the one ID document, such as front/back, or page 1, 2, 3, etc. You can upload multiple scans in a single call, or in multiple calls. \n\n Note: if you do upload over multiple calls, make sure you include the documentId (see above), and indicate that this is happening with a \"more_data\" checkAction\n","type":"array","items":{"description":"the document to be attached and optionally scanned (if supported)","type":"object","properties":{"ScanDelete":{"description":"Used as a way of indicating to the service that the original scanned document is not to be kept after it has been processed. We will retain any metadata and the results of processing (where required by regulation or the customer), but the original file uploaded will eventually be remnoved once processing is complete. \n\nIf ScanDelete is set to true, any call with /full at the end will still not return the file contents, regardless of whether the file has been deleted yet (the deletion process is a background task that can take a few minutes to occur)\n","type":"boolean","uniqueKey":"entity.identityDocs.items.[INDEX].docScan.items.[INDEX].ScanDelete","typeLabel":"boolean"},"scanCreated":{"description":"The date and time the scan was created. Not the date of the scanned document, which should be in the idIssued attribute of the document that owns this scan.\n","type":"string","format":"date-time","example":"2020-06-02","uniqueKey":"entity.identityDocs.items.[INDEX].docScan.items.[INDEX].scanCreated","typeLabel":"string\u003cdate-time>"},"scanData":{"description":"Base64 encoded string of a photo or scan of an ID document to be verified. If supplied and of a supported type, the Frankie service will attempt to use OCR tech to extract the data from the scanned doc/image.\n\nIn a result message, this field will be left blank, unless the \"full\" action is requested.\n","type":"string","format":"byte","example":"VGhpcyBpcyBzb21lIGV4YW1wbGUgZGF0YS4gV29vLCBJIGJldCB5b3UgcmVncmV0IHRoZSB0aW1lIHlvdSB3YXN0ZWQgZGVjb2RpbmcgdGhpcywgaHVoPw==","uniqueKey":"entity.identityDocs.items.[INDEX].docScan.items.[INDEX].scanData","typeLabel":"string\u003cbyte>"},"scanDataRetrievalState":{"description":"The reason why the scanData in a response is missing.\n- \"NORMAL\": The scanData was retrieved and is included. If it is empty then it was never provided or was provided empty.\n- \"EXCLUDED\": The retrieval request was not for 'full' data, or the object has 'ScanDelete' set so the scanData is not included\n- \"FAILED\": The scanData could not be retrieved from the secure document store.\n\nThe enumScanDataRetrievalState will not usually be set in a request. If a ScannedDocumentObject in a response has a 'FAILED' retrieval state then that object should not be sent back in a future possible update. It should either be omitted or the original data should be resent if it is available from another source. However it is safe to send the object in an update with the state received in a response. Any state other than 'NORMAL' (or '') will cause the blank scanData to be ignored, but other fields in the object will be updated if needed.\n","type":"string","enum":["NORMAL","EXCLUDED","FAILED"],"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"EnumScanDataRetrievalState"},"example":"NORMAL","uniqueKey":"entity.identityDocs.items.[INDEX].docScan.items.[INDEX].scanDataRetrievalState","typeLabel":"enum\u003cstring>"},"scanDocId":{"description":"When an document scan is created/uploaded, it is assigned a scanDocId. You'll see this in a successful response or successfully accepted response. This can then be referenced in subsequent calls if you're uploading more/updated data.\n","type":"string","format":"uuid","example":"84a9a860-68ae-4d7d-9a53-54a1116d5051","uniqueKey":"entity.identityDocs.items.[INDEX].docScan.items.[INDEX].scanDocId","typeLabel":"string\u003cuuid>"},"scanFilename":{"description":"If you're uploading a file where it's important to keep the original filename, then you can provide that here. Otherwise the Frankie service will assign an arbitrary name based on the scanDocIdand an extension based on the MIME type\n","type":"string","example":"Important Document - ID1234567.pdf","uniqueKey":"entity.identityDocs.items.[INDEX].docScan.items.[INDEX].scanFilename","typeLabel":"string"},"scanMIME":{"description":"The standard MIME type of the file being uploaded. We'll double-check to be certain, but this can help speed things up","type":"string","enum":["image/jpeg","image/avif","image/png","image/gif","image/webp","image/tiff","image/bmp","image/heic","image/heif","application/zip","application/x-zip","application/x-zip-compressed","application/x-tar","application/x-rar-compressed","application/x-gzip","application/gzip","application/x-bzip2","application/x-7z-compressed","application/pdf","application/rtf","application/postscript","application/json","audio/mpeg","audio/m4a","audio/x-wav","audio/amr","text/plain","text/rtf","application/msword","application/vnd.openxmlformats-officedocument.wordprocessingml.document","application/vnd.ms-excel","application/vnd.openxmlformats-officedocument.spreadsheetml.sheet","application/vnd.ms-outlook","application/vnd.ms-powerpoint","application/vnd.oasis.opendocument.text","application/vnd.openxmlformats-officedocument.presentationml.presentation","video/avi","video/x-m4a","video/mp4","video/webm","video/quicktime","video/msvideo","video/x-msvideo","video/x-ms-wmv","video/mpeg"],"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"EnumMIMEType"},"example":"image/png","uniqueKey":"entity.identityDocs.items.[INDEX].docScan.items.[INDEX].scanMIME","typeLabel":"enum\u003cstring>"},"scanPageNum":{"description":"If uploading multiple pages - it's handy to keep a track of these. There is no enforcement of these numbers at all. You can have 10 page 1's and a page 29 if you wish.\n","type":"integer","minimum":0,"example":1,"uniqueKey":"entity.identityDocs.items.[INDEX].docScan.items.[INDEX].scanPageNum","typeLabel":"integer"},"scanSide":{"description":"Describes if a scan is of the \"F\"ront or \"B\"ack of an ID. If not supplied, Front is always assumed.","type":"string","enum":["F","B"],"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"EnumScanSide"},"example":"F","uniqueKey":"entity.identityDocs.items.[INDEX].docScan.items.[INDEX].scanSide","typeLabel":"enum\u003cstring>"},"scanType":{"description":"Valid ID document scan general types.\n- \"PHOTO\": Any photo\n- \"VIDEO\": Any video\n- \"AUDIO\": Any audio\n- \"PDF\": PDF or PS (may contain text, images or both)\n- \"DOC\": Word doc, RTF, etc\n- \"ZIP\": Any compressed file(s)\n","type":"string","enum":["PHOTO","VIDEO","AUDIO","PDF","DOC","ZIP"],"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"EnumScanType"},"example":"PDF","uniqueKey":"entity.identityDocs.items.[INDEX].docScan.items.[INDEX].scanType","typeLabel":"enum\u003cstring>"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"ScannedDocumentObject"},"uniqueKey":"entity.identityDocs.items.[INDEX].docScan.items.[INDEX]","typeLabel":"object"},"x-omitempty":true,"uniqueKey":"entity.identityDocs.items.[INDEX].docScan","typeLabel":"object[]"},"documentId":{"description":"When an ID document is created/uploaded, it is assigned a documentId. You'll see this in a successful response or successfully accepted response. This can then be referenced in subsequent calls if you're uploading more/updated data.\n","type":"string","format":"uuid","example":"84a9a860-68ae-4d7d-9a53-54a1116d5051","uniqueKey":"entity.identityDocs.items.[INDEX].documentId","typeLabel":"string\u003cuuid>"},"documentStatus":{"description":"Current status of a document.\n- \"INITIALISING\": the state whilst you're uploading and updating\n- \"SCAN_IN_PROGRESS\": the state whilst it's being scanned. \n- \"DOC_SCANNED\": the document has been scanned and data extracted as best as possible. It's still possible to update the details and add more scans if you wish.\n- \"DOC_CHECKED\": the document has been used as part of a check that has been finalised in some way. You can no longer update this document and any attempt will generate an error.\n","type":"string","enum":["INITIALISING","SCAN_IN_PROGRESS","DOC_SCANNED","DOC_CHECKED"],"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"EnumDocumentStatus"},"example":"DOC_SCANNED","uniqueKey":"entity.identityDocs.items.[INDEX].documentStatus","typeLabel":"enum\u003cstring>"},"extraData":{"description":"Set of key-value pairs that provide ID type-specific data. If updating an existing document, then existing values with the same name will be overwritten. New values will be added.\n\nIf this document is scanned through OCR or similar processes, then extracted data will be found here (Some may be used to populate other fields like idNumber and idExpiry as well)\n","type":"array","items":{"description":"Individual key-value pair","type":"object","properties":{"kvpKey":{"description":"Name of the data","type":"string","example":"ACN","uniqueKey":"entity.identityDocs.items.[INDEX].extraData.items.[INDEX].kvpKey","typeLabel":"string"},"kvpType":{"description":"Used to describe the contents of the KVP data. \n\nThe general.* and raw.* types are pretty much what they say on the tin. \n\nAll raw.* fields will be base64 encoded so as to not interfere with JSON structuring. These are useful for returning/storing large quantities of data that doesn't necessarily require processing now, or may be useful to a calling client.\n\nThe id.* and pii.* are used to indicate that this is data that can be used to create new document objects, or entities. They should also be treated with the utmost care and attention when it comes to securing them too.\n\nid.external can be used to capture an object's ID on an external service, and can potentially be searchable in the index \nNote - This is different from a result.id.\n\ndefunct is used to mark an existing KVP deleted when the value must be retained, for example for audit purposes.\n\nresult.* are used to capture response codes and transaction IDs from external services\n\nerror.* types can be used when processing a document that returns an error, but doesn't necessarily require a full blown error response.\n","type":"string","enum":["defunct","general.string","general.integer","general.float","general.bool","general.date","general.datetime","raw.json.base64","raw.xml.base64","raw.base64","error.code","error.message","result.code","result.id","id.external","id.number.primary","id.number.additional","id.msisdn","id.email","id.device","pii.name.full","pii.name.familyname","pii.name.givenname","pii.name.middlename","pii.gender","pii.address.longform","pii.address.shortform","pii.address.street1","pii.address.street2","pii.address.postalcode","pii.address.town","pii.address.suburb","pii.address.region","pii.address.state","pii.address.country","pii.dob","transient.string"],"example":"id.external","x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"EnumKVPType"},"uniqueKey":"entity.identityDocs.items.[INDEX].extraData.items.[INDEX].kvpType","typeLabel":"enum\u003cstring>"},"kvpValue":{"description":"Value of the data","type":"string","example":"406655338","uniqueKey":"entity.identityDocs.items.[INDEX].extraData.items.[INDEX].kvpValue","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"KeyValuePairObject"},"uniqueKey":"entity.identityDocs.items.[INDEX].extraData.items.[INDEX]","typeLabel":"object"},"x-omitempty":true,"uniqueKey":"entity.identityDocs.items.[INDEX].extraData","typeLabel":"object[]"},"idExpiry":{"description":"The expiry date of the document (if known) in YYYY-MM-DD format.","type":"string","format":"date","example":"2020-02-01","uniqueKey":"entity.identityDocs.items.[INDEX].idExpiry","typeLabel":"string\u003cdate>"},"idIssued":{"description":"The issued date of the document (if known) in YYYY-MM-DD format.","type":"string","format":"date","example":"1972-11-04","uniqueKey":"entity.identityDocs.items.[INDEX].idIssued","typeLabel":"string\u003cdate>"},"idNumber":{"description":"The ID number of the document (if known).","type":"string","example":"123456789","uniqueKey":"entity.identityDocs.items.[INDEX].idNumber","typeLabel":"string"},"idSubType":{"description":"The sub-type of identity document. Very document specific.","type":"string","uniqueKey":"entity.identityDocs.items.[INDEX].idSubType","typeLabel":"string"},"region":{"description":"Regional variant of the ID (e.g. VIC drivers licence)\n\nYou should always use the local abbreviation for this.\nE.g.\n - VIC for The Australian state of Victoria\n - MA for the US state of Massachusetts\n - etc\n","type":"string","example":"VIC","uniqueKey":"entity.identityDocs.items.[INDEX].region","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"IdentityDocumentObject"},"uniqueKey":"entity.identityDocs.items.[INDEX]","typeLabel":"object"},"x-omitempty":true,"uniqueKey":"entity.identityDocs","typeLabel":"object[]"},"name":{"type":"object","required":["familyName"],"properties":{"familyName":{"description":"Family name / Surname of the individual.","type":"string","example":"Smith","isRequired":true,"uniqueKey":"entity.name.familyName","typeLabel":"string"},"displayName":{"description":"In some cases, the name will need to be supplied in \"long form\", such as when it is determined from a document scan, or is un-parsable in some way.\nThe service will attempt to convert it to it's constituent parts where possible.\n","type":"string","example":"Jane Cecily Smith","uniqueKey":"entity.name.displayName","typeLabel":"string"},"givenName":{"description":"First / Given name","type":"string","example":"Jane","uniqueKey":"entity.name.givenName","typeLabel":"string"},"honourific":{"description":"Mr/Ms/Dr/Dame/Dato/etc.","type":"string","example":"Duchess","uniqueKey":"entity.name.honourific","typeLabel":"string"},"middleName":{"description":"Middle name(s) / Initials","type":"string","example":"Cecily","uniqueKey":"entity.name.middleName","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"PersonalNameObject"},"uniqueKey":"entity.name","typeLabel":"object"},"organisationData":{"description":"Organisation details for entities. Returned from an ASIC report.\n","type":"object","properties":{"adverseCreditDataPresent":{"type":"boolean","uniqueKey":"entity.organisationData.adverseCreditDataPresent","typeLabel":"boolean"},"aliases":{"type":"array","items":{"type":"string","uniqueKey":"entity.organisationData.aliases.items.[INDEX]","typeLabel":"string"},"x-omitempty":true,"uniqueKey":"entity.organisationData.aliases","typeLabel":"string[]"},"class":{"description":"A common pairing of a short code and a long description.","type":"object","properties":{"code":{"type":"string","uniqueKey":"entity.organisationData.class.code","typeLabel":"string"},"description":{"type":"string","uniqueKey":"entity.organisationData.class.description","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"CodeDescription"},"uniqueKey":"entity.organisationData.class","typeLabel":"object"},"contactDetails":{"type":"object","properties":{"email":{"type":"string","uniqueKey":"entity.organisationData.contactDetails.email","typeLabel":"string"},"faxNumber":{"type":"string","uniqueKey":"entity.organisationData.contactDetails.faxNumber","typeLabel":"string"},"telephoneNumber":{"type":"string","uniqueKey":"entity.organisationData.contactDetails.telephoneNumber","typeLabel":"string"},"websiteURL":{"type":"string","uniqueKey":"entity.organisationData.contactDetails.websiteURL","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"OrganisationDataObjectContactDetails"},"uniqueKey":"entity.organisationData.contactDetails","typeLabel":"object"},"disclosingEntityIndicator":{"type":"boolean","uniqueKey":"entity.organisationData.disclosingEntityIndicator","typeLabel":"boolean"},"extractedDate":{"oneOf":[{"type":"string","format":"date","uniqueKey":"entity.organisationData.extractedDate.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","format":"date","uniqueKey":"entity.organisationData.extractedDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"entity.organisationData.extractedDate","typeLabel":"string\u003cdate> | null"},"includesNonBeneficiallyHeld":{"type":"boolean","uniqueKey":"entity.organisationData.includesNonBeneficiallyHeld","typeLabel":"boolean"},"industryCodes":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","uniqueKey":"entity.organisationData.industryCodes.items.[INDEX].code","typeLabel":"string"},"description":{"type":"string","uniqueKey":"entity.organisationData.industryCodes.items.[INDEX].description","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"IndustryCodesObject"},"uniqueKey":"entity.organisationData.industryCodes.items.[INDEX]","typeLabel":"object"},"x-omitempty":true,"uniqueKey":"entity.organisationData.industryCodes","typeLabel":"object[]"},"industryDeclarations":{"type":"array","items":{"type":"object","properties":{"description":{"type":"string","uniqueKey":"entity.organisationData.industryDeclarations.items.[INDEX].description","typeLabel":"string"},"language":{"type":"string","uniqueKey":"entity.organisationData.industryDeclarations.items.[INDEX].language","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"IndustryDeclarationsObject"},"uniqueKey":"entity.organisationData.industryDeclarations.items.[INDEX]","typeLabel":"object"},"x-omitempty":true,"uniqueKey":"entity.organisationData.industryDeclarations","typeLabel":"object[]"},"kycCustomerType":{"type":"string","uniqueKey":"entity.organisationData.kycCustomerType","typeLabel":"string"},"lastCheckDate":{"type":"string","format":"date","uniqueKey":"entity.organisationData.lastCheckDate","typeLabel":"string\u003cdate>"},"legalFormDetails":{"type":"object","properties":{"basis":{"type":"string","uniqueKey":"entity.organisationData.legalFormDetails.basis","typeLabel":"string"},"capital":{"type":"string","uniqueKey":"entity.organisationData.legalFormDetails.capital","typeLabel":"string"},"comments":{"type":"string","uniqueKey":"entity.organisationData.legalFormDetails.comments","typeLabel":"string"},"control":{"type":"string","uniqueKey":"entity.organisationData.legalFormDetails.control","typeLabel":"string"},"incorp":{"type":"string","uniqueKey":"entity.organisationData.legalFormDetails.incorp","typeLabel":"string"},"partner":{"type":"string","uniqueKey":"entity.organisationData.legalFormDetails.partner","typeLabel":"string"},"responsibility":{"type":"string","uniqueKey":"entity.organisationData.legalFormDetails.responsibility","typeLabel":"string"},"stocks":{"type":"string","uniqueKey":"entity.organisationData.legalFormDetails.stocks","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"OrganisationDataObjectLegalFormDetails"},"uniqueKey":"entity.organisationData.legalFormDetails","typeLabel":"object"},"normalisedLegalStatus":{"type":"string","uniqueKey":"entity.organisationData.normalisedLegalStatus","typeLabel":"string"},"ownershipResolved":{"type":"boolean","uniqueKey":"entity.organisationData.ownershipResolved","typeLabel":"boolean"},"registeredName":{"type":"string","uniqueKey":"entity.organisationData.registeredName","typeLabel":"string"},"registration":{"type":"object","properties":{"countryIso":{"type":"string","uniqueKey":"entity.organisationData.registration.countryIso","typeLabel":"string"},"date":{"type":"string","format":"date","uniqueKey":"entity.organisationData.registration.date","typeLabel":"string\u003cdate>"},"number":{"type":"string","uniqueKey":"entity.organisationData.registration.number","typeLabel":"string"},"previousNumber":{"type":"string","uniqueKey":"entity.organisationData.registration.previousNumber","typeLabel":"string"},"registryCode":{"type":"string","uniqueKey":"entity.organisationData.registration.registryCode","typeLabel":"string"},"registryDescription":{"type":"string","uniqueKey":"entity.organisationData.registration.registryDescription","typeLabel":"string"},"state":{"type":"string","uniqueKey":"entity.organisationData.registration.state","typeLabel":"string"},"unstructuredDate":{"type":"string","uniqueKey":"entity.organisationData.registration.unstructuredDate","typeLabel":"string"},"unstructuredFoundationDate":{"type":"string","uniqueKey":"entity.organisationData.registration.unstructuredFoundationDate","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"OrganisationDataObjectRegistration"},"uniqueKey":"entity.organisationData.registration","typeLabel":"object"},"registries":{"type":"object","properties":{"abr":{"type":"object","properties":{"abn":{"type":"string","uniqueKey":"entity.organisationData.registries.abr.abn","typeLabel":"string"},"acn":{"type":"string","uniqueKey":"entity.organisationData.registries.abr.acn","typeLabel":"string"},"addresses":{"type":"array","items":{"type":"object","properties":{"effectiveFrom":{"type":"string","format":"date-time","uniqueKey":"entity.organisationData.registries.abr.addresses.items.[INDEX].effectiveFrom","typeLabel":"string\u003cdate-time>"},"effectiveTo":{"type":"string","format":"date-time","uniqueKey":"entity.organisationData.registries.abr.addresses.items.[INDEX].effectiveTo","typeLabel":"string\u003cdate-time>"},"postcode":{"type":"string","uniqueKey":"entity.organisationData.registries.abr.addresses.items.[INDEX].postcode","typeLabel":"string"},"stateCode":{"type":"string","uniqueKey":"entity.organisationData.registries.abr.addresses.items.[INDEX].stateCode","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"MainBusinessPhysicalAddress"},"uniqueKey":"entity.organisationData.registries.abr.addresses.items.[INDEX]","typeLabel":"object"},"uniqueKey":"entity.organisationData.registries.abr.addresses","typeLabel":"object[]"},"businessNames":{"type":"array","items":{"type":"object","properties":{"effectiveFrom":{"type":"string","format":"date-time","uniqueKey":"entity.organisationData.registries.abr.businessNames.items.[INDEX].effectiveFrom","typeLabel":"string\u003cdate-time>"},"effectiveTo":{"type":"string","format":"date-time","uniqueKey":"entity.organisationData.registries.abr.businessNames.items.[INDEX].effectiveTo","typeLabel":"string\u003cdate-time>"},"name":{"type":"string","uniqueKey":"entity.organisationData.registries.abr.businessNames.items.[INDEX].name","typeLabel":"string"},"type":{"type":"string","uniqueKey":"entity.organisationData.registries.abr.businessNames.items.[INDEX].type","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"BusinessName"},"uniqueKey":"entity.organisationData.registries.abr.businessNames.items.[INDEX]","typeLabel":"object"},"uniqueKey":"entity.organisationData.registries.abr.businessNames","typeLabel":"object[]"},"charityEndorsements":{"type":"array","items":{"type":"object","properties":{"effectiveFrom":{"type":"string","format":"date-time","uniqueKey":"entity.organisationData.registries.abr.charityEndorsements.items.[INDEX].effectiveFrom","typeLabel":"string\u003cdate-time>"},"effectiveTo":{"type":"string","format":"date-time","uniqueKey":"entity.organisationData.registries.abr.charityEndorsements.items.[INDEX].effectiveTo","typeLabel":"string\u003cdate-time>"},"type":{"type":"string","uniqueKey":"entity.organisationData.registries.abr.charityEndorsements.items.[INDEX].type","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"CharityEndorsement"},"uniqueKey":"entity.organisationData.registries.abr.charityEndorsements.items.[INDEX]","typeLabel":"object"},"uniqueKey":"entity.organisationData.registries.abr.charityEndorsements","typeLabel":"object[]"},"charityTypes":{"type":"array","items":{"type":"object","properties":{"description":{"type":"string","uniqueKey":"entity.organisationData.registries.abr.charityTypes.items.[INDEX].description","typeLabel":"string"},"effectiveFrom":{"type":"string","format":"date-time","uniqueKey":"entity.organisationData.registries.abr.charityTypes.items.[INDEX].effectiveFrom","typeLabel":"string\u003cdate-time>"},"effectiveTo":{"type":"string","format":"date-time","uniqueKey":"entity.organisationData.registries.abr.charityTypes.items.[INDEX].effectiveTo","typeLabel":"string\u003cdate-time>"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"CharityType"},"uniqueKey":"entity.organisationData.registries.abr.charityTypes.items.[INDEX]","typeLabel":"object"},"uniqueKey":"entity.organisationData.registries.abr.charityTypes","typeLabel":"object[]"},"description":{"type":"string","uniqueKey":"entity.organisationData.registries.abr.description","typeLabel":"string"},"dgrEndorsements":{"type":"array","items":{"type":"object","properties":{"endorsedFrom":{"type":"string","format":"date-time","uniqueKey":"entity.organisationData.registries.abr.dgrEndorsements.items.[INDEX].endorsedFrom","typeLabel":"string\u003cdate-time>"},"endorsedTo":{"type":"string","format":"date-time","uniqueKey":"entity.organisationData.registries.abr.dgrEndorsements.items.[INDEX].endorsedTo","typeLabel":"string\u003cdate-time>"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"DgrEndorsement"},"uniqueKey":"entity.organisationData.registries.abr.dgrEndorsements.items.[INDEX]","typeLabel":"object"},"uniqueKey":"entity.organisationData.registries.abr.dgrEndorsements","typeLabel":"object[]"},"gst":{"type":"array","items":{"type":"object","properties":{"effectiveFrom":{"type":"string","format":"date-time","uniqueKey":"entity.organisationData.registries.abr.gst.items.[INDEX].effectiveFrom","typeLabel":"string\u003cdate-time>"},"effectiveTo":{"type":"string","format":"date-time","uniqueKey":"entity.organisationData.registries.abr.gst.items.[INDEX].effectiveTo","typeLabel":"string\u003cdate-time>"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"GoodsAndServicesTax"},"uniqueKey":"entity.organisationData.registries.abr.gst.items.[INDEX]","typeLabel":"object"},"uniqueKey":"entity.organisationData.registries.abr.gst","typeLabel":"object[]"},"historicalChanges":{"type":"array","items":{"type":"object","properties":{"businessName":{"type":"array","items":{"type":"string","uniqueKey":"entity.organisationData.registries.abr.historicalChanges.items.[INDEX].businessName.items.[INDEX]","typeLabel":"string"},"uniqueKey":"entity.organisationData.registries.abr.historicalChanges.items.[INDEX].businessName","typeLabel":"string[]"},"date":{"type":"string","format":"date-time","uniqueKey":"entity.organisationData.registries.abr.historicalChanges.items.[INDEX].date","typeLabel":"string\u003cdate-time>"},"entityStatus":{"type":"array","items":{"type":"string","uniqueKey":"entity.organisationData.registries.abr.historicalChanges.items.[INDEX].entityStatus.items.[INDEX]","typeLabel":"string"},"uniqueKey":"entity.organisationData.registries.abr.historicalChanges.items.[INDEX].entityStatus","typeLabel":"string[]"},"goodsAndServicesTax":{"type":"array","items":{"type":"string","uniqueKey":"entity.organisationData.registries.abr.historicalChanges.items.[INDEX].goodsAndServicesTax.items.[INDEX]","typeLabel":"string"},"uniqueKey":"entity.organisationData.registries.abr.historicalChanges.items.[INDEX].goodsAndServicesTax","typeLabel":"string[]"},"mainBusinessPhysicalAddress":{"type":"array","items":{"type":"string","uniqueKey":"entity.organisationData.registries.abr.historicalChanges.items.[INDEX].mainBusinessPhysicalAddress.items.[INDEX]","typeLabel":"string"},"uniqueKey":"entity.organisationData.registries.abr.historicalChanges.items.[INDEX].mainBusinessPhysicalAddress","typeLabel":"string[]"},"mainName":{"type":"array","items":{"type":"string","uniqueKey":"entity.organisationData.registries.abr.historicalChanges.items.[INDEX].mainName.items.[INDEX]","typeLabel":"string"},"uniqueKey":"entity.organisationData.registries.abr.historicalChanges.items.[INDEX].mainName","typeLabel":"string[]"},"mainTradingName":{"type":"array","items":{"type":"string","uniqueKey":"entity.organisationData.registries.abr.historicalChanges.items.[INDEX].mainTradingName.items.[INDEX]","typeLabel":"string"},"uniqueKey":"entity.organisationData.registries.abr.historicalChanges.items.[INDEX].mainTradingName","typeLabel":"string[]"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"HistoricalChange"},"uniqueKey":"entity.organisationData.registries.abr.historicalChanges.items.[INDEX]","typeLabel":"object"},"uniqueKey":"entity.organisationData.registries.abr.historicalChanges","typeLabel":"object[]"},"lastUpdated":{"type":"string","format":"date-time","uniqueKey":"entity.organisationData.registries.abr.lastUpdated","typeLabel":"string\u003cdate-time>"},"name":{"type":"string","uniqueKey":"entity.organisationData.registries.abr.name","typeLabel":"string"},"registeredDate":{"type":"string","format":"date-time","uniqueKey":"entity.organisationData.registries.abr.registeredDate","typeLabel":"string\u003cdate-time>"},"status":{"type":"string","uniqueKey":"entity.organisationData.registries.abr.status","typeLabel":"string"},"statusEffectiveFrom":{"type":"string","uniqueKey":"entity.organisationData.registries.abr.statusEffectiveFrom","typeLabel":"string"},"type":{"type":"string","uniqueKey":"entity.organisationData.registries.abr.type","typeLabel":"string"},"typeCode":{"type":"string","uniqueKey":"entity.organisationData.registries.abr.typeCode","typeLabel":"string"},"updatedDate":{"type":"string","format":"date-time","uniqueKey":"entity.organisationData.registries.abr.updatedDate","typeLabel":"string\u003cdate-time>"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"Abr"},"uniqueKey":"entity.organisationData.registries.abr","typeLabel":"object"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"Registries"},"uniqueKey":"entity.organisationData.registries","typeLabel":"object"},"reviewDate":{"oneOf":[{"type":"string","format":"date","uniqueKey":"entity.organisationData.reviewDate.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","format":"date","uniqueKey":"entity.organisationData.reviewDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"entity.organisationData.reviewDate","typeLabel":"string\u003cdate> | null"},"shareStructure":{"type":"array","items":{"description":"Describes a collection of shares of a particular type and their attributes,\nOne or more ShareStructures make up a company's shares that are then parcelled out as shareholdings.\n","type":"object","properties":{"amountDue":{"type":"number","uniqueKey":"entity.organisationData.shareStructure.items.[INDEX].amountDue","typeLabel":"number"},"amountPaid":{"type":"number","uniqueKey":"entity.organisationData.shareStructure.items.[INDEX].amountPaid","typeLabel":"number"},"classCode":{"type":"string","uniqueKey":"entity.organisationData.shareStructure.items.[INDEX].classCode","typeLabel":"string"},"classTitle":{"type":"string","uniqueKey":"entity.organisationData.shareStructure.items.[INDEX].classTitle","typeLabel":"string"},"docNumber":{"type":"string","uniqueKey":"entity.organisationData.shareStructure.items.[INDEX].docNumber","typeLabel":"string"},"docNumberQualifier":{"type":"string","uniqueKey":"entity.organisationData.shareStructure.items.[INDEX].docNumberQualifier","typeLabel":"string"},"sharesIssued":{"type":"integer","uniqueKey":"entity.organisationData.shareStructure.items.[INDEX].sharesIssued","typeLabel":"integer"},"status":{"type":"string","uniqueKey":"entity.organisationData.shareStructure.items.[INDEX].status","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"ShareStructureObject"},"uniqueKey":"entity.organisationData.shareStructure.items.[INDEX]","typeLabel":"object"},"x-omitempty":true,"uniqueKey":"entity.organisationData.shareStructure","typeLabel":"object[]"},"startDate":{"type":"string","format":"date","uniqueKey":"entity.organisationData.startDate","typeLabel":"string\u003cdate>"},"status":{"description":"A common pairing of a short code and a long description.","type":"object","properties":{"code":{"type":"string","uniqueKey":"entity.organisationData.status.code","typeLabel":"string"},"description":{"type":"string","uniqueKey":"entity.organisationData.status.description","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"CodeDescription"},"uniqueKey":"entity.organisationData.status","typeLabel":"object"},"subType":{"description":"A common pairing of a short code and a long description.","type":"object","properties":{"code":{"type":"string","uniqueKey":"entity.organisationData.subType.code","typeLabel":"string"},"description":{"type":"string","uniqueKey":"entity.organisationData.subType.description","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"CodeDescription"},"uniqueKey":"entity.organisationData.subType","typeLabel":"object"},"subclass":{"description":"A common pairing of a short code and a long description.","type":"object","properties":{"code":{"type":"string","uniqueKey":"entity.organisationData.subclass.code","typeLabel":"string"},"description":{"type":"string","uniqueKey":"entity.organisationData.subclass.description","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"CodeDescription"},"uniqueKey":"entity.organisationData.subclass","typeLabel":"object"},"type":{"description":"A common pairing of a short code and a long description.","type":"object","properties":{"code":{"type":"string","uniqueKey":"entity.organisationData.type.code","typeLabel":"string"},"description":{"type":"string","uniqueKey":"entity.organisationData.type.description","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"CodeDescription"},"uniqueKey":"entity.organisationData.type","typeLabel":"object"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"OrganisationDataObject"},"uniqueKey":"entity.organisationData","typeLabel":"object"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"EntityObject"},"isRequired":true,"uniqueKey":"entity","typeLabel":"object"},"deviceCheckDetails":{"description":"Contains any/all details we want to pass on to the device checking service as part of an activity / transaction. A transaction isn't just a payment, but can represent a number of different interaction types. See below for more.\n\nNOTE: If you're sending this data, then your recipe or requested checkTypes *MUST* include a \"device\" checkType. Otherwise this data will be ignored and dropped.\n","type":"object","properties":{"activityType":{"description":"The type of activity we're checking. Choices are:\n\n- SIGNUP: Used when an entity is signing up to your service\n- LOGIN: Used when an already registered entity is logging in to your service\n- PAYMENT: Used when you wish to check that all is well for a payment\n- CONFIRMATION: User has confirmed an action and you wish to double check they're still legitimate\n\nYou can also supply vendor specific activityTypes if you know them. To do this, make the first character an underscore _. \nSo for example, to use BioCatch's LOGIN_3 type, you can send \"_LOGIN_3\" as a value. Note, if you do this, there is no error checking on the Frankie side, and thus if you supply an incorrect value, the call will fail.\n","type":"string","uniqueKey":"deviceCheckDetails.activityType","typeLabel":"string"},"additionalData":{"description":"Collection of additional data points you wish to add to the activity check. These are defined in conjunction with the Customer and the device checking service being used.\n\nStandard values are supplied upon request:\n\n| kvpKey | kvpType | kvpValue |\n| ------- | -------- | -------- |\n| detectedIp | general.string | The IP address you detect the transaction coming from |\n| accountId.src | id.external | Your account identifier. Can be a SHA hash or similar |\n| accountId.dst | id.external | Target/payee account identifier. Can be a SHA hash or similar |\n| entityId | id.external | Use this to override the Frankie entityID that would be used to identify |\n| amount | general.float | Amount involved in the transaction |\n| platform | general.string | One of APP, WEB, MOBILE_WEB. Assumes APP if not supplied |\n| | |\n\n\nLike the activityType, you can also specify vendor specific additional data parameters by adding a leading underscore \"_\" to the kvpKey. You can set the kvpType to one of the available types, or just use general.string (recommended)\n","type":"array","items":{"description":"Individual key-value pair","type":"object","properties":{"kvpKey":{"description":"Name of the data","type":"string","example":"ACN","uniqueKey":"deviceCheckDetails.additionalData.items.[INDEX].kvpKey","typeLabel":"string"},"kvpType":{"description":"Used to describe the contents of the KVP data. \n\nThe general.* and raw.* types are pretty much what they say on the tin. \n\nAll raw.* fields will be base64 encoded so as to not interfere with JSON structuring. These are useful for returning/storing large quantities of data that doesn't necessarily require processing now, or may be useful to a calling client.\n\nThe id.* and pii.* are used to indicate that this is data that can be used to create new document objects, or entities. They should also be treated with the utmost care and attention when it comes to securing them too.\n\nid.external can be used to capture an object's ID on an external service, and can potentially be searchable in the index \nNote - This is different from a result.id.\n\ndefunct is used to mark an existing KVP deleted when the value must be retained, for example for audit purposes.\n\nresult.* are used to capture response codes and transaction IDs from external services\n\nerror.* types can be used when processing a document that returns an error, but doesn't necessarily require a full blown error response.\n","type":"string","enum":["defunct","general.string","general.integer","general.float","general.bool","general.date","general.datetime","raw.json.base64","raw.xml.base64","raw.base64","error.code","error.message","result.code","result.id","id.external","id.number.primary","id.number.additional","id.msisdn","id.email","id.device","pii.name.full","pii.name.familyname","pii.name.givenname","pii.name.middlename","pii.gender","pii.address.longform","pii.address.shortform","pii.address.street1","pii.address.street2","pii.address.postalcode","pii.address.town","pii.address.suburb","pii.address.region","pii.address.state","pii.address.country","pii.dob","transient.string"],"example":"id.external","x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"EnumKVPType"},"uniqueKey":"deviceCheckDetails.additionalData.items.[INDEX].kvpType","typeLabel":"enum\u003cstring>"},"kvpValue":{"description":"Value of the data","type":"string","example":"406655338","uniqueKey":"deviceCheckDetails.additionalData.items.[INDEX].kvpValue","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"KeyValuePairObject"},"uniqueKey":"deviceCheckDetails.additionalData.items.[INDEX]","typeLabel":"object"},"x-omitempty":true,"uniqueKey":"deviceCheckDetails.additionalData","typeLabel":"object[]"},"checkSessionKey":{"description":"the unique session based ID that will be checked against the service.","type":"string","uniqueKey":"deviceCheckDetails.checkSessionKey","typeLabel":"string"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"DeviceCheckDetailsObject"},"uniqueKey":"deviceCheckDetails","typeLabel":"object"}},"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"EntityCheckDetailsObject"},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"entity":{"addresses":[{"country":"AUS","addressId":"86932629-bdb4-158f-e670-741e89ff78ba","addressType":"REGISTERED_OFFICE","buildingName":"Highland Tower","careOf":"\u003cstring>","endDate":"0001-01-01","extraData":[{"kvpKey":"ACN","kvpType":"id.external","kvpValue":"406655338"}],"longForm":"42a Test Eagle Road, Testville, TST 123-TST, Testalia","postalCode":"3000","region":"MELBOURNE","startDate":"2023-03-10","state":"VIC","streetName":"9 ROYCE AVENUE","streetNumber":"FLAT 27","streetType":"Road","suburb":"Testburb","town":"MELBOURNE","unitNumber":"FLAT 27","unstructuredLongForm":"\u003cstring>"}],"dateOfBirth":{"country":"AUS","dateOfBirth":"1978-11-12","locality":"Brisbane","unstructuredDateOfBirth":"\u003cstring>","yearOfBirth":"1978"},"entityId":"84a9a860-68ae-4d7d-9a53-54a1116d5051","entityProfile":"\u003cstring>","entityType":"ORGANISATION","extraData":[{"kvpKey":"ACN","kvpType":"id.external","kvpValue":"406655338"}],"flags":[{"flag":"\u003cstring>","value":123}],"gender":"F","identityDocs":[{"country":"AUS","idType":"DRIVERS_LICENCE","docScan":[{"ScanDelete":true,"scanCreated":"2020-06-02","scanData":"VGhpcyBpcyBzb21lIGV4YW1wbGUgZGF0YS4gV29vLCBJIGJldCB5b3UgcmVncmV0IHRoZSB0aW1lIHlvdSB3YXN0ZWQgZGVjb2RpbmcgdGhpcywgaHVoPw==","scanDataRetrievalState":"NORMAL","scanDocId":"84a9a860-68ae-4d7d-9a53-54a1116d5051","scanFilename":"Important Document - ID1234567.pdf","scanMIME":"image/png","scanPageNum":1,"scanSide":"F","scanType":"PDF"}],"documentId":"84a9a860-68ae-4d7d-9a53-54a1116d5051","documentStatus":"DOC_SCANNED","extraData":[{"kvpKey":"ACN","kvpType":"id.external","kvpValue":"406655338"}],"idExpiry":"2020-02-01","idIssued":"1972-11-04","idNumber":"123456789","idSubType":"\u003cstring>","region":"VIC"}],"organisationData":{"adverseCreditDataPresent":true,"aliases":["\u003cstring>"],"class":{"code":"\u003cstring>","description":"\u003cstring>"},"contactDetails":{"email":"\u003cstring>","faxNumber":"\u003cstring>","telephoneNumber":"\u003cstring>","websiteURL":"\u003cstring>"},"disclosingEntityIndicator":true,"extractedDate":"2023-12-25","includesNonBeneficiallyHeld":true,"industryCodes":[{"code":"\u003cstring>","description":"\u003cstring>"}],"industryDeclarations":[{"description":"\u003cstring>","language":"\u003cstring>"}],"kycCustomerType":"\u003cstring>","lastCheckDate":"2023-12-25","legalFormDetails":{"basis":"\u003cstring>","capital":"\u003cstring>","comments":"\u003cstring>","control":"\u003cstring>","incorp":"\u003cstring>","partner":"\u003cstring>","responsibility":"\u003cstring>","stocks":"\u003cstring>"},"normalisedLegalStatus":"\u003cstring>","ownershipResolved":true,"registeredName":"\u003cstring>","registration":{"countryIso":"\u003cstring>","date":"2023-12-25","number":"\u003cstring>","previousNumber":"\u003cstring>","registryCode":"\u003cstring>","registryDescription":"\u003cstring>","state":"\u003cstring>","unstructuredDate":"\u003cstring>","unstructuredFoundationDate":"\u003cstring>"},"registries":{"abr":{"abn":"\u003cstring>","acn":"\u003cstring>","addresses":[{"effectiveFrom":"2023-11-07T05:31:56Z","effectiveTo":"2023-11-07T05:31:56Z","postcode":"\u003cstring>","stateCode":"\u003cstring>"}],"businessNames":[{"effectiveFrom":"2023-11-07T05:31:56Z","effectiveTo":"2023-11-07T05:31:56Z","name":"\u003cstring>","type":"\u003cstring>"}],"charityEndorsements":[{"effectiveFrom":"2023-11-07T05:31:56Z","effectiveTo":"2023-11-07T05:31:56Z","type":"\u003cstring>"}],"charityTypes":[{"description":"\u003cstring>","effectiveFrom":"2023-11-07T05:31:56Z","effectiveTo":"2023-11-07T05:31:56Z"}],"description":"\u003cstring>","dgrEndorsements":[{"endorsedFrom":"2023-11-07T05:31:56Z","endorsedTo":"2023-11-07T05:31:56Z"}],"gst":[{"effectiveFrom":"2023-11-07T05:31:56Z","effectiveTo":"2023-11-07T05:31:56Z"}],"historicalChanges":[{"businessName":["\u003cstring>"],"date":"2023-11-07T05:31:56Z","entityStatus":["\u003cstring>"],"goodsAndServicesTax":["\u003cstring>"],"mainBusinessPhysicalAddress":["\u003cstring>"],"mainName":["\u003cstring>"],"mainTradingName":["\u003cstring>"]}],"lastUpdated":"2023-11-07T05:31:56Z","name":"\u003cstring>","registeredDate":"2023-11-07T05:31:56Z","status":"\u003cstring>","statusEffectiveFrom":"\u003cstring>","type":"\u003cstring>","typeCode":"\u003cstring>","updatedDate":"2023-11-07T05:31:56Z"}},"reviewDate":"2023-12-25","shareStructure":[{"amountDue":123,"amountPaid":123,"classCode":"\u003cstring>","classTitle":"\u003cstring>","docNumber":"\u003cstring>","docNumberQualifier":"\u003cstring>","sharesIssued":123,"status":"\u003cstring>"}],"startDate":"2023-12-25","status":{"code":"\u003cstring>","description":"\u003cstring>"},"subType":{"code":"\u003cstring>","description":"\u003cstring>"},"subclass":{"code":"\u003cstring>","description":"\u003cstring>"},"type":{"code":"\u003cstring>","description":"\u003cstring>"}}},"deviceCheckDetails":{"activityType":"\u003cstring>","additionalData":[{"kvpKey":"ACN","kvpType":"id.external","kvpValue":"406655338"}],"checkSessionKey":"\u003cstring>"}}}},"exampleType":"generated"}},"description":"The entity to update","required":true,"exampleType":"generated"},"responses":{"cb37322a-5a3d-4ade-b33f-41a0e7870527":{"description":"The request was valid and able to be processed in some fashion. Results may or may not be successful, but it was completed as far as practical with no actual errors. Returns the entity object as it stands now. No docScan file data from any attached ID documents will be returned unless the /full variant is requested.\n\nAlso returned is the applicantId and token to be in the IDV process.\n","content":{"application/json":{"schema":{"description":"Contains the results of a given document entity create/update and IDV token details.","type":"object","required":["requestId","entity","token","applicantId"],"properties":{"applicantId":{"description":"The applicantId is either the same one that was supplied in the request for a fresh token, or a new one.\nThis ID must be supplied along with the token to your SDK so that it knows who any uploaded documents are for.\n\nThe latest applicant will also be written to the extraData of the entity as well for safe keeping. Older applicantIds will be overwritten.\n","type":"string","isRequired":true,"uniqueKey":"applicantId","typeLabel":"string"},"entity":{"description":"Describes all of the data being used to verify an entity.\n","type":"object","properties":{"addresses":{"description":"Collection of address objects.","type":"array","items":{"type":"object","required":["country"],"properties":{"country":{"description":"The ISO-3166-1 country. You must use the alpha3 country code (e.g. AUS, USA, IDR, KOR, etc) We'll convert as needed. \n\nSee: https://en.wikipedia.org/wiki/ISO_3166-1\n","type":"string","example":"AUS","isRequired":true,"uniqueKey":"entity.addresses.items.[INDEX].country","typeLabel":"string"},"addressId":{"description":"As addresses are added to an entity, they're assigned an id to assist with tracking. \n\nIf you're adjusting an address, you will need to include the addressId so as to be able to reference it correctly in the list.\n","type":"string","format":"uuid","example":"86932629-bdb4-158f-e670-741e89ff78ba","uniqueKey":"entity.addresses.items.[INDEX].addressId","typeLabel":"string\u003cuuid>"},"addressType":{"description":"Used to indicate what sort address this is, such as residential, business, postal, etc.\n\nRESIDENTIAL1-4 can be used to indicate the reverse chronological order of addresses. \nRESIDENTIAL or RESIDENTIAL1 is the current address\nRESIDENTIAL2 is the previous address, and so on.\n\nFor Individual postal/mailing addresses, use POSTAL.\nFor Businesses, use OFFICIAL_CORRESPONDANCE\n","type":"string","enum":["OTHER","RESIDENTIAL","RESIDENTIAL1","RESIDENTIAL2","RESIDENTIAL3","RESIDENTIAL4","BUSINESS","POSTAL","REGISTERED_OFFICE","PLACE_OF_BUSINESS","OFFICIAL_CORRESPONDANCE","PLACE_OF_BIRTH"],"x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"EnumAddressType"},"example":"REGISTERED_OFFICE","uniqueKey":"entity.addresses.items.[INDEX].addressType","typeLabel":"enum\u003cstring>"},"buildingName":{"description":"The name of the building, apartment block, condo, etc","type":"string","example":"Highland Tower","uniqueKey":"entity.addresses.items.[INDEX].buildingName","typeLabel":"string"},"careOf":{"description":"Individual or business name at this address if not the same as the name of the entity to which this address belongs.\n","type":"string","uniqueKey":"entity.addresses.items.[INDEX].careOf","typeLabel":"string"},"endDate":{"description":"The date this address was no longer used (if available). Used mostly with business addresses.\n","type":"string","format":"date","example":"0001-01-01","uniqueKey":"entity.addresses.items.[INDEX].endDate","typeLabel":"string\u003cdate>"},"extraData":{"description":"Set of key-value pairs that provide arbitrary additional type-specific data. This data will typically not be visible in the Frankie Portal.\nIf updating an existing address, then existing values with the same name will be overwritten. New values will be added.\n\nSee here for more information about possible values you can use:\n https://docs.frankieone.com/docs/key-value-pairs\n","type":"array","items":{"description":"Individual key-value pair","type":"object","properties":{"kvpKey":{"description":"Name of the data","type":"string","example":"ACN","uniqueKey":"entity.addresses.items.[INDEX].extraData.items.[INDEX].kvpKey","typeLabel":"string"},"kvpType":{"description":"Used to describe the contents of the KVP data. \n\nThe general.* and raw.* types are pretty much what they say on the tin. \n\nAll raw.* fields will be base64 encoded so as to not interfere with JSON structuring. These are useful for returning/storing large quantities of data that doesn't necessarily require processing now, or may be useful to a calling client.\n\nThe id.* and pii.* are used to indicate that this is data that can be used to create new document objects, or entities. They should also be treated with the utmost care and attention when it comes to securing them too.\n\nid.external can be used to capture an object's ID on an external service, and can potentially be searchable in the index \nNote - This is different from a result.id.\n\ndefunct is used to mark an existing KVP deleted when the value must be retained, for example for audit purposes.\n\nresult.* are used to capture response codes and transaction IDs from external services\n\nerror.* types can be used when processing a document that returns an error, but doesn't necessarily require a full blown error response.\n","type":"string","enum":["defunct","general.string","general.integer","general.float","general.bool","general.date","general.datetime","raw.json.base64","raw.xml.base64","raw.base64","error.code","error.message","result.code","result.id","id.external","id.number.primary","id.number.additional","id.msisdn","id.email","id.device","pii.name.full","pii.name.familyname","pii.name.givenname","pii.name.middlename","pii.gender","pii.address.longform","pii.address.shortform","pii.address.street1","pii.address.street2","pii.address.postalcode","pii.address.town","pii.address.suburb","pii.address.region","pii.address.state","pii.address.country","pii.dob","transient.string"],"example":"id.external","x-go-type":{"import":{"alias":"models_common","package":"bitbucket.org/ff_common/models/common"},"type":"EnumKVPType"},"uniqueKey":"entity.addresses.items.[INDEX].extraData.items.[INDEX].k
[...]
